%global         prerelease      beta6

Name: netdiscover
Version: 0.3
Release: %{prerelease}%{?dist}
Summary: A network address discovering/monitoring tool

Group: Applications/System
License: GPLv3
URL: http://nixgeneration.com/~jaime/netdiscover/
# wget http://nixgeneration.com/~jaime/netdiscover/releases/netdiscover-0.3-beta6.tar
Source0: netdiscover-%{version}-%{prerelease}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root-%(%{__id_u} -n)

BuildRequires: libnet-devel >= 1.1
BuildRequires: libpcap-devel
BuildRequires: libtool

%description
Netdiscover is an active/passive address reconnaissance tool, mainly developed
for those wireless networks without dhcp server, when you are wardriving. It
can be also used on hub/switched networks.

%prep
%setup -q -n %{name}-%{version}-%{prerelease}


%build
if [ ! -f configure ]
then
   ./autogen.sh
fi
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# cleanup
rm -rf %{buildroot}%{_prefix}/doc


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.gz
%doc AUTHORS ChangeLog COPYING README TODO

%changelog
* Sun Jul 8 2012 Kévin Raymond <shaiton@fedoraproject.org> - 0.3-beta3
- Rebuilt

* Fri May 15 2009 Patrick Nussbaumer <patrick.nussbaumer@gmail.com> - 0.3-3.20090503cvs
- Removed macro from changelog comment

* Mon May 12 2009 Patrick Nussbaumer <patrick.nussbaumer@gmail.com> - 0.3-2.20090503cvs
- Added file COPYING

* Sun May 03 2009 Patrick Nussbaumer <patrick.nussbaumer@gmail.com> - 0.3-1.20090503cvs
- Initial packaging.
